Bug 1733829 - SELinux is preventing irqbalance from 'read' accesses on the archivo stat. [NEEDINFO]
Summary: SELinux is preventing irqbalance from 'read' accesses on the archivo stat.
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 30
Hardware: x86_64
OS: Unspecified
low
low
Target Milestone: ---
Assignee: Zdenek Pytela
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:6efadfde30d1f673de3bd2aa33d...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-29 02:38 UTC by ozymandias
Modified: 2020-01-31 14:22 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-31 14:22:15 UTC
lvrabec: needinfo? (georgelukk32)


Attachments (Terms of Use)

Description ozymandias 2019-07-29 02:38:22 UTC
Description of problem:
SELinux is preventing irqbalance from 'read' accesses on the archivo stat.

*****  Plugin catchall (100. confidence) suggests   **************************

Si cree que de manera predeterminada se debería permitir a irqbalance el acceso read sobre  stat file.     
Then debería reportar esto como un error.
Puede generar un módulo de política local para permitir este acceso.
Do
permita el acceso temporalmente ejecutando:
# ausearch -c 'irqbalance' --raw | audit2allow -M mi-irqbalance
# semodule -X 300 -i mi-irqbalance.pp

Additional Information:
Source Context                system_u:system_r:irqbalance_t:s0
Target Context                system_u:object_r:admin_home_t:s0
Target Objects                stat [ file ]
Source                        irqbalance
Source Path                   irqbalance
Port                          <Desconocido>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.14.3-42.fc30.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 5.1.16-300.fc30.x86_64 #1 SMP Wed
                              Jul 3 15:06:51 UTC 2019 x86_64 x86_64
Alert Count                   48
First Seen                    2019-07-28 21:24:59 -05
Last Seen                     2019-07-28 21:32:49 -05
Local ID                      cf056cad-bb6e-482a-b683-a7d919302e97

Raw Audit Messages
type=AVC msg=audit(1564367569.436:657): avc:  denied  { read } for  pid=692 comm="irqbalance" name="stat" dev="proc" ino=4026532026 scontext=system_u:system_r:irqbalance_t:s0 tcontext=system_u:object_r:admin_home_t:s0 tclass=file permissive=0


Hash: irqbalance,irqbalance_t,admin_home_t,file,read

Version-Release number of selected component:
selinux-policy-3.14.3-42.fc30.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.10.1
hashmarkername: setroubleshoot
kernel:         5.1.16-300.fc30.x86_64
type:           libreport

Comment 1 Lukas Vrabec 2019-07-29 12:35:04 UTC
Hi, 

Could you please run:
# restorecon -Rv /

and then try to reproduce the issue? 

It looks like your system is mislabeled. Did you do any migration or upgrade in recent past? 

Thanks,
Lukas.

Comment 2 Fedora Admin XMLRPC Client 2020-01-23 16:24:13 UTC
This package has changed maintainer in the Fedora.
Reassigning to the new maintainer of this component.

Comment 3 Zdenek Pytela 2020-01-31 14:22:15 UTC
As this bug has been in NEEDINFO state for a certain period of time, we are going to close it due to inactivity with the resolution of INSUFFICIENT_DATA. If you would like to pursue this matter, feel free to reopen this bug and attach the needed information.


Note You need to log in before you can comment on or make changes to this bug.